=== debian/changelog ===
ddm (0.1.1) unstable; urgency=medium

  * fix some bugs

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Thu, 27 Jun 2024 14:47:00 +0800

ddm (0.1.0) unstable; urgency=medium

  * Initial release

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Tue, 12 Dec 2023 13:07:40 +0800
