=== debian/changelog ===
ddm (0.1.3) unstable; urgency=medium

  * fix C-c will crash

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 6 Sep 2024 11:06:00 +0800

ddm (0.1.2) unstable; urgency=medium

  * fix some bugs

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Thu, 25 Jul 2024 17:19:00 +0800
