## ddm 0.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -232,21 +232,21 @@
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/data/DDMConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/data/DDMConfig.cmake"
-    INSTALL_DESTINATION lib/cmake/DDM
+    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DDM
     PATH_VARS CMAKE_INSTALL_PREFIX
 )
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/data/AuthConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/data/AuthConfig.cmake"
-    INSTALL_DESTINATION lib/cmake/DDM
+    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}cmake/DDM
     PATH_VARS CMAKE_INSTALL_PREFIX
 )
 
 configure_package_config_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/data/CommonConfig.cmake.in"
     "${CMAKE_CURRENT_BINARY_DIR}/data/CommonConfig.cmake"
-    INSTALL_DESTINATION lib/cmake/DDM
+    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DDM
     PATH_VARS CMAKE_INSTALL_PREFIX
 )
 
@@ -255,5 +255,5 @@
         "${CMAKE_CURRENT_BINARY_DIR}/data/DDMConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/data/AuthConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/data/CommonConfig.cmake"
-    DESTINATION lib/cmake/DDM
-)
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DDM
+)
