=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,11 @@
     "org.freedesktop.DisplayManager.conf"
     DESTINATION "${DBUS_CONFIG_DIR}"
     RENAME ${DBUS_CONFIG_FILENAME}
+)
+
+install(FILES
+    "org.deepin.DisplayManager.conf"
+    DESTINATION "${DBUS_CONFIG_DIR}"
 )
 
 install(FILES
@@ -30,6 +35,8 @@
         WORLD_READ WORLD_EXECUTE
 )
 
+add_subdirectory(systemd)
+
 if(BUILD_MAN_PAGES)
     add_subdirectory(man)
 endif()
