=== src/auth/CMakeLists.txt ===
--- 
+++ 
@@ -47,8 +47,8 @@
 install(
     TARGETS auth
     EXPORT AuthTargets
-    ARCHIVE DESTINATION lib
-    LIBRARY DESTINATION lib
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     RUNTIME DESTINATION bin
     INCLUDES DESTINATION include/ddm/auth
 )
@@ -59,5 +59,5 @@
 install(EXPORT AuthTargets
         FILE AuthTargets.cmake
         NAMESPACE DDM::
-        DESTINATION lib/cmake/DDM
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DDM
 )
