=== debian/changelog ===
ddm (0.1.10) unstable; urgency=medium

  * fix dde system user not in video group

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Thu, 21 Jan 2025 11:46:00 +0800

ddm (0.1.9) unstable; urgency=medium

  * move treeland to systemd service

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 20 Dec 2024 15:48:00 +0800

ddm (0.1.8) unstable; urgency=medium

  * limit treeland restart to 3

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 13 Dec 2024 10:44:00 +0800

ddm (0.1.7) unstable; urgency=medium

  * fix black screen when user activate session

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 06 Dec 2024 13:52:00 +0800

ddm (0.1.6) unstable; urgency=medium

  * allow user take tty control

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Thu, 05 Dec 2024 20:58:00 +0800

ddm (0.1.5) unstable; urgency=medium

  * active user tty

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 29 Nov 2024 11:23:00 +0800

ddm (0.1.4) unstable; urgency=medium

  * support treeland lockscreen mode

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 01 Nov 2024 11:06:00 +0800
