=== debian/control ===
--- 
+++ 
@@ -7,13 +7,11 @@
                extra-cmake-modules (>= 1.4.0~),
                libpam0g-dev,
                libsystemd-dev [linux-any],
-               libupower-glib-dev,
                libxau-dev,
                libxcb-xkb-dev,
                libxcb1-dev,
                libxkbcommon-dev,
                libxcb-ewmh-dev,
-               python3-docutils,
                qt6-base-dev (>= 6.6.1~),
                qt6-declarative-dev (>= 6.6.1~),
                qt6-tools-dev,
