=== src/daemon/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,26 @@
 include_directories(
     ${LIBXAU_INCLUDE_DIRS}
     "${LIBXCB_INCLUDE_DIR}"
+)
+
+pkg_search_module(WAYLAND REQUIRED IMPORTED_TARGET wayland-client)
+
+# Generate treeland-ddm protocol files
+set(TREELAND_DDM_HEADER ${CMAKE_CURRENT_BINARY_DIR}/treeland-ddm-v1.h)
+set(TREELAND_DDM_SOURCE ${CMAKE_CURRENT_BINARY_DIR}/treeland-ddm-v1.c)
+
+add_custom_command(
+    OUTPUT ${TREELAND_DDM_HEADER}
+    COMMAND wayland-scanner client-header < ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-ddm-v1.xml > ${TREELAND_DDM_HEADER}
+    DEPENDS ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-ddm-v1.xml
+    COMMENT "Generating treeland-ddm-v1.h"
+)
+
+add_custom_command(
+    OUTPUT ${TREELAND_DDM_SOURCE}
+    COMMAND wayland-scanner private-code < ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-ddm-v1.xml > ${TREELAND_DDM_SOURCE}
+    DEPENDS ${TREELAND_PROTOCOLS_DATA_DIR}/treeland-ddm-v1.xml
+    COMMENT "Generating treeland-ddm-v1.c"
 )
 
 configure_file(config.h.in config.h IMMEDIATE @ONLY)
@@ -14,6 +34,7 @@
     Seat.cpp
     SeatManager.cpp
     SocketServer.cpp
+    TreelandConnector.cpp
     XorgDisplayServer.cpp
     XorgUserDisplayServer.cpp
     XorgUserDisplayServer.h
@@ -21,6 +42,7 @@
     WaylandDisplayServer.h
     SingleWaylandDisplayServer.h
     SingleWaylandDisplayServer.cpp
+    ${TREELAND_DDM_SOURCE}
 )
 
 qt_add_dbus_adaptor(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.DisplayManager.xml"          "DisplayManager.h" DDM::DisplayManager)
@@ -57,6 +79,7 @@
         Qt${QT_MAJOR_VERSION}::Network
         Qt${QT_MAJOR_VERSION}::Qml
         ${LIBXCB_LIBRARIES}
+        PkgConfig::WAYLAND
 )
 
 if(JOURNALD_FOUND)
