=== debian/changelog ===
ddm (0.2.1) unstable; urgency=medium

  * chore: update license configuration to REUSE specification
  * fix: Fix nix build failure & incorrect versioning
  * fix: fix ddm stuck into dead event loop after crash recovery

 -- rewine <luhongxu@uniontech.com>  Thu, 18 Sep 2025 11:41:30 +0800

ddm (0.2.0) unstable; urgency=medium

  * feat: Support VT switching

 -- rewine <luhongxu@uniontech.com>  Thu, 21 Aug 2025 11:43:52 +0800

ddm (0.1.11) unstable; urgency=medium

  * feat: Create a new seatd service for DDE

 -- rewine <luhongxu@uniontech.com>  Thu, 31 Jul 2025 20:03:34 +0800
