=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                qt6-wayland,
                qt6-wayland-dev,
                qt6-wayland-private-dev,
+               treeland-protocols,
                systemd [linux-any],
 Standards-Version: 4.6.0
 Section: libs
