=== debian/changelog ===
ddm (2.3.0-0mx150+1) mx; urgency=medium

  * Rebuild for MX-15
  * Fix apt-get options for our version of apt
  * Change to non-native 3.0 quilt package

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Thu, 15 Sep 2016 13:36:41 -0400

ddm (2.3.0) debian; urgency=low

  * Added Lithuanian language

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 27 Jul 2016 10:05:45 +0200

ddm (2.2.9) debian; urgency=low

  * Updated Broadcom hardware list

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 13 Jul 2016 07:11:00 +0200

ddm (2.2.8) debian; urgency=low

  * Handle --force-yes in /usr/bin/ddm for Stretch

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 08 Jun 2016 11:47:26 +0200

ddm (2.2.7) debian; urgency=low

  * Use open-as-user to open browser as real user

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 01 Jun 2016 18:32:50 +0200

ddm (2.2.6) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 16 Feb 2016 18:00:00 +0100

ddm (2.2.5) debian; urgency=low

  * Flat logo in background information pages

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 21 Jan 2016 08:00:00 +0100

ddm (2.2.3) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 18 Jan 2016 12:00:00 +0100

ddm (2.2.2) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 19 Dec 2015 11:00:00 +0100

ddm (2.2.1) debian; urgency=low

  * Improved language detection of localized HTML files

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 20 Nov 2015 13:00:00 +0100

ddm (2.2.0) debian; urgency=low

  * Added support for Radeon R and FirePro/Gl series
  * Added support for backports

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 30 Oct 2015 11:00:00 +0100

ddm (2.1.8) debian; urgency=low

  * Can now find help.html

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 28 Oct 2015 16:00:00 +0100

ddm (2.1.7) debian; urgency=low

  * Updated Broadcom drivers list
  * Use ddm in terminal to install/purge drivers (ddm -h for help)

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 21 Oct 2015 11:00:00 +0100

ddm (2.1.5) debian; urgency=low

  * Updated translations

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 19 Oct 2015 07:30:00 +0100

ddm (2.1.4) debian; urgency=low

  * Check live session on /lib/live/mount instead of /lib/live

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 07 Jul 2015 07:30:00 +0100

ddm (2.1.3) debian; urgency=low

  * Solved bug not recognizing loaded graphics or wireless drivers

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 25 Jun 2015 12:00:00 +0100

ddm (2.1.2) debian; urgency=low

  * Improved localization handling

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 22 Jun 2015 12:00:00 +0100

ddm (2.1.1) debian; urgency=low

  * Fixed crash on binary saved log file

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 27 May 2015 18:00:00 +0100

ddm (2.1.0) debian; urgency=low

  * Improved Arabic translation 
  * Added apt-show-versions as a dependency

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 13 May 2015 16:00:00 +0100

ddm (2.0.9) debian; urgency=low

  * Added KCM launcher for System Settings

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 08 May 2015 17:00:00 +0100

ddm (2.0.8) debian; urgency=low

  * Added X-XFCE-SettingsDialog;X-XFCE-HardwareSettings; to launcher
  * French translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 06 May 2015 15:00:00 +0100

ddm (2.0.7) debian; urgency=low

  * Fix gettext bug

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 29 Apr 2015 18:00:00 +0100

ddm (2.0.6) debian; urgency=low

  * Adapt nvidia settings for Bumblebee

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 22 Feb 2015 18:00:00 +0100

ddm (2.0.5) debian; urgency=low

  * Change automatic python dependencies so that it installs on Wheezy
  * Lowered gtk+ version for Wheezy

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sat, 21 Feb 2015 13:00:00 +0100

ddm (2.0.4) debian; urgency=low

  * Force reinstall of packages in case of repair
  * Cleanup after Bumblebee installation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 20 Feb 2015 10:00:00 +0100

ddm (2.0.3) debian; urgency=low

  * Debugging for older ATI cards
  * Improved graphical card detection

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 02 Feb 2015 11:00:00 +0100

ddm (2.0.2) debian; urgency=low

  * Improved Bumblebee support

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 20 Jan 2015 22:00:00 +0100

ddm (2.0.0) debian; urgency=low

  * Total re-write to simplify use and maintenance

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 18 Dec 2014 13:00:00 +0100

ddm (1.0.8) debian; urgency=low

  * Improved translation handling

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Sun, 02 Nov 2014 11:00:00 +0100

ddm (1.0.7) debian; urgency=low

  * Gtk2 bug solved

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Mon, 04 Oct 2014 12:00:00 +0100

ddm (1.0.6) debian; urgency=low

  * Changed icon handling for Evolvere icon theme

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Fri, 12 Sep 2014 11:00:00 +0100

ddm (1.0.5) debian; urgency=low

  * Moved locale to solydxk-locale

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Thu, 26 May 2014 08:00:00 +0100

ddm (1.0.4) debian; urgency=low

  * Start with gksudo instead of gksu

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Wed, 23 Apr 2014 19:00:00 +0100

ddm (1.0.3) debian; urgency=low

  * Added Russian translation
  * Adapted Dutch translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 01 Apr 2014 18:00:00 +0100

ddm (1.0.1) debian; urgency=low

  * Added Czech translation
  * Adapted Italian translation

 -- Arjen Balfoort <arjenbalfoort@solydxk.com>  Tue, 24 Dec 2013 12:00:00 +0100

ddm (1.0.0) debian; urgency=low

  * Added transition naming for Nvidia packages
  * Optimized speed of command execution
